Daz Studio Pro BETA - version 4.12.2.60! (*UPDATED*)

1356774

Comments

  • kwanniekwannie Posts: 733

    Yep............I shoulda known, simple driver issue......................nevermind!

  • Leonides02Leonides02 Posts: 1,317
    edited July 2019
    L'Adair said:
    f7eer said:
    f7eer said:
    I am having the "crash on save" problem in 4.12. The answer to 1. is "Yes". The answer to 2a. is "Yes". The answer to 2b. is "No".

    A little bit more testing shows me that a dForce object is not the problem at all.

    The problem seems to be the presence of a Figure object which has a Null object as a parent. I might be able to get around this by using a Group object instead of the Null.

    I have a scene where I deleted all but a few props and was able to save. But I tried adding in a few more props from the scene, and it crashed when I tried to save. No Nulls in the scene.

    I think we need to just keep reporting what is crashing and what isn't, until as a group, we can narrow it down.

    One thing I haven't tried is merging the 4.11 saved scene into 4.12…

    It'd be nice to hear if DAZ is aware of this issue and working on a solution. Sometimes I feel like they ignore these threads!

    The thread is not ignored, but the developers usually pass feedback or comments to the mods for us to relay.

    Well, I guess, let us know if they have any idea what's causing this... LOL

    Not being to save scenes created in a previous version is kind of a big deal.

    Post edited by Leonides02 on
  • PadonePadone Posts: 2,208

    The chnages to the solver apply to both dynamic and persistent IK. And the parentable target iss till useful for still posing. (Active Pose is not the same, as I understand it, as IK using the universal tool and the transform tools derived from it.)

    I'm glad to hear that the solver is improved, and of course persistent ik can be used for posing too I didn't mean otherwise .. I just was trying to explain the difference as asked by some users here.

  • GutoCraftsGutoCrafts Posts: 50

    I get super excited after each new version is released. So many advances in the animation segment. I can't wait to see what is coming next.

  • marius_ifmarius_if Posts: 44

    Words.., don't come easy to me...

    I love you!

    Everything so far works beyond awesome heartkiss

     

    Out of box render test, very fast. I just used a free hdr image for environment, that's all my contribution smiley

    Congratulations and many thanks to all the most wonderful Daz team people heartyes

    outofthebox3.png
    2000 x 1125 - 3M
  • Leonides02Leonides02 Posts: 1,317

    Don't know if anyone else is getting this error after the plug-in update last night...

    If so, I fixed it by copying everything from the DzMimic folder in regular ol' DAZ to the Beta.

  • ParadigmParadigm Posts: 416

    I am unable to paste or delete keyframes in the new timeline. The buttons a re simply grayed out. Has anyone else experienced this?

  • IvyIvy Posts: 6,896
    edited July 2019
    Paradigm said:

    I am unable to paste or delete keyframes in the new timeline. The buttons a re simply grayed out. Has anyone else experienced this?

    I had the same issue something changed  . But if you actually click on the keyframe that needs to be deleted it will highlight so you can delete or copy the keyframes & to make the paste fucntion work  to be able to paste a new animation sequence into the timeline create a blank keyframe on keyframe (0) or 1 and then it will highight to allow you to paste.  but you have to create a keyframe first. once you do have keysframes inserted on the timeline then everything becomes available for editing, at least thats how it works for me 

    Post edited by Ivy on
  • SpottedKittySpottedKitty Posts: 7,232

    Don't know if anyone else is getting this error after the plug-in update last night...

     

    If so, I fixed it by copying everything from the DzMimic folder in regular ol' DAZ to the Beta.

    Is this the first time you've installed a beta? Many plugins install by placing files in the D|S program folder — but if you then install a D|S beta for the first time, the beta's program folder doesn't have the plugin files. The solution is to uninstall then reinstall the plugin; the installer detects the beta and copies the files to both program folders. It might be a good idea to do that, just in case anything got missed when you did the manual copy.

  • Leonides02Leonides02 Posts: 1,317

    Don't know if anyone else is getting this error after the plug-in update last night...

     

    If so, I fixed it by copying everything from the DzMimic folder in regular ol' DAZ to the Beta.

    Is this the first time you've installed a beta? Many plugins install by placing files in the D|S program folder — but if you then install a D|S beta for the first time, the beta's program folder doesn't have the plugin files. The solution is to uninstall then reinstall the plugin; the installer detects the beta and copies the files to both program folders. It might be a good idea to do that, just in case anything got missed when you did the manual copy.

    No, I've had the Beta for over a year.

    P.S. Is anyone noticing that "Select All" is taking a lot longer than in 4.11?

    For me it causes Daz to hang.

  • IvyIvy Posts: 6,896

    First impressions of daz 4.12

     You know I hate change, any change.  I hated daz 11 it kepts crashing,  I could not import older scenes with deforce from daz 4.10.  I had issues with Photoshop bridge. etc.

    But I have to admitt.  I love this new daz 4.12  I love how much faster it renders by my bench test scenes its about 33% faster.   I truly like that fact daz finely started to take us animators seriously and started working on a integrated timeline tools.  I wish there were some documents for these changes.  But then again I yet known daz to publish update date docs for things implemented at the time they were created.   So maybe in time daz guys will update these docs http://docs.daz3d.com/doku.php/public/software/dazstudio/4/userguide/start to reflect the new changes in 4.12.

    I do feel daz finely geared a version of studio with animators & game makers in mind.  I really appreciate that I alot. as someone that pretty much only use daz for animation because of the ready made assets. 

    The new create  Ik Chain systems is a huge improvement .. But needs some tweaking and some new interface options for handling the chain link  and in a few weeks after i finished this animation short allowing me playing with these changes.  I will have better understanding of how it works with more information on the changes I feel are needed.  I know finding & working with the ik chain bones & handles at the end of the chain is not  easy to understand  and take a few times fiddling with things to find what rotation is what . Also having to parent the ik properties in the scene tab rather than right on the timeline with a righ click on the fly like Maya has would be the great improvement. 

     The integrated timeline with the graph editor and keyframe editor is a huge improvement, it tooks me a while to fine  where you guys moved things around  but after i start using it reguarlly I am sure I will get use it .  I do suggest to people using the timeline to assign hot keys to speed up your keyframing work flow. 

    I do relies there is going to be a learning curve to all this and I am slow as hell grasping it. So I am will to learn if we had just some documents to point us in the right direction.

    Again I really like the improvements in daz 4.12 and I truly look forward to seeing what else comes from these changes .. Thank you Daz Guys for listening to us animators

  • barbultbarbult Posts: 17,756

    I always get these warnings in my log file:

    2019-07-26 14:08:15.617 WARNING: ..\..\..\..\..\src\pluginsource\DzIrayRender\dzneuraymgr.cpp(302): Iray WARNING - module:category(IRAY:RENDER):   1.0   IRAY   rend warn : The 'iray_optix_prime' scene option is no longer supported.

    1. I don't have OptiX Prime Acceleration checked in my Render Settings/Advanced tab, so why do I get these warnings?
    2. Why is OptiX Prime Acceleration still an option in the Render Settings if it is no longer supported?
  • Leonides02Leonides02 Posts: 1,317
    Paradigm said:

    I am unable to paste or delete keyframes in the new timeline. The buttons a re simply grayed out. Has anyone else experienced this?

    Same here. I wonder what's going on? This is a pretty basic functionality. Luckily my Graphmate is still working.

  • L'AdairL'Adair Posts: 9,470

    I see in the Private Build log, we are up to 4.12.0.42. I see two entries for fixing crash issues. Do either of those address the crashes some of us were experiencing when trying to save a file created in a previous version of DS?

  • Leonides02Leonides02 Posts: 1,317
    L'Adair said:

    I see in the Private Build log, we are up to 4.12.0.42. I see two entries for fixing crash issues. Do either of those address the crashes some of us were experiencing when trying to save a file created in a previous version of DS?

    It's so strange.

    I was working on a file in 4.12 yesterday, playing with the animation. I saved and everything was fine.

    Today? It crashes on every save with the same error message we've been getting.

    Ugh. I know it's a Beta and we're testing these things, but it's still frustrating when I put in an hour's worth of work and lose it!

  • L'AdairL'Adair Posts: 9,470
    L'Adair said:

    I see in the Private Build log, we are up to 4.12.0.42. I see two entries for fixing crash issues. Do either of those address the crashes some of us were experiencing when trying to save a file created in a previous version of DS?

    It's so strange.

    I was working on a file in 4.12 yesterday, playing with the animation. I saved and everything was fine.

    Today? It crashes on every save with the same error message we've been getting.

    Ugh. I know it's a Beta and we're testing these things, but it's still frustrating when I put in an hour's worth of work and lose it!

    Can you open the file in 4.11? Maybe you haven't actually lost all the work… (fingers crossed)

  • Leonides02Leonides02 Posts: 1,317
    L'Adair said:
    L'Adair said:

    I see in the Private Build log, we are up to 4.12.0.42. I see two entries for fixing crash issues. Do either of those address the crashes some of us were experiencing when trying to save a file created in a previous version of DS?

    It's so strange.

    I was working on a file in 4.12 yesterday, playing with the animation. I saved and everything was fine.

    Today? It crashes on every save with the same error message we've been getting.

    Ugh. I know it's a Beta and we're testing these things, but it's still frustrating when I put in an hour's worth of work and lose it!

    Can you open the file in 4.11? Maybe you haven't actually lost all the work… (fingers crossed)

    Thanks. Yes, I can. But the hours of work was before I saved. sad

  • nicsttnicstt Posts: 11,322

    So far not having any issues; first Beta I've used (other than testing) since 4.8.

  • DoctorJellybeanDoctorJellybean Posts: 5,689
    barbult said:

    I always get these warnings in my log file:

    2019-07-26 14:08:15.617 WARNING: ..\..\..\..\..\src\pluginsource\DzIrayRender\dzneuraymgr.cpp(302): Iray WARNING - module:category(IRAY:RENDER):   1.0   IRAY   rend warn : The 'iray_optix_prime' scene option is no longer supported.

    1. I don't have OptiX Prime Acceleration checked in my Render Settings/Advanced tab, so why do I get these warnings?
    2. Why is OptiX Prime Acceleration still an option in the Render Settings if it is no longer supported?

    Maybe it's video card related. I get the following in the log:

    2019-07-27 00:06:20.963 Iray [INFO] - IRAY:RENDER ::   1.4   IRAY   rend info : Using OptiX Prime version 5.0.1
    2019-07-27 00:06:20.963 Iray [INFO] - IRAY:RENDER ::   1.4   IRAY   rend info : Initializing OptiX Prime for CUDA device 0

  • barbultbarbult Posts: 17,756
    barbult said:

    I always get these warnings in my log file:

    2019-07-26 14:08:15.617 WARNING: ..\..\..\..\..\src\pluginsource\DzIrayRender\dzneuraymgr.cpp(302): Iray WARNING - module:category(IRAY:RENDER):   1.0   IRAY   rend warn : The 'iray_optix_prime' scene option is no longer supported.

    1. I don't have OptiX Prime Acceleration checked in my Render Settings/Advanced tab, so why do I get these warnings?
    2. Why is OptiX Prime Acceleration still an option in the Render Settings if it is no longer supported?

    Maybe it's video card related. I get the following in the log:

    2019-07-27 00:06:20.963 Iray [INFO] - IRAY:RENDER ::   1.4   IRAY   rend info : Using OptiX Prime version 5.0.1
    2019-07-27 00:06:20.963 Iray [INFO] - IRAY:RENDER ::   1.4   IRAY   rend info : Initializing OptiX Prime for CUDA device 0

    Mine is a 980ti

  • IvyIvy Posts: 6,896
    edited July 2019

    I have the same error as barbult with GTX 1080ti's

    2019-07-25 21:13:53.891 WARNING: ..\..\..\..\..\src\pluginsource\DzIrayRender\dzneuraymgr.cpp(302): Iray WARNING - module:category(IRAY:RENDER):   1.0   IRAY   rend warn : The 'iray_optix_prime' scene option is no longer supported.

    I'm not using optix prime either, but it does not appear to effect anything though

    Post edited by Ivy on
  • PadonePadone Posts: 2,208
    edited July 2019

    Just to add that when reporting bugs here it may be better to also state your system specifications. Especially cpu, gpu and exact drivers version and windows version. This also may be useful to other users to compare things.

    Post edited by Padone on
  • barbultbarbult Posts: 17,756

    The new beta is spamming the log with this message when I load a scene subset I created before:

    2019-07-27 13:43:31.530 WARNING: ..\..\..\..\..\src\pluginsource\DzIrayRender\dzneuraymgr.cpp(302): Iray WARNING - module:category(IRAY:RENDER):   1.0   IRAY   rend warn : The 'iray_optix_prime' scene option is no longer supported.

    I checked the scene file and I can't find any mention of that in the .duf file itself and Optix Prime Acceleration is disabled in Render Settings -> Advanced options. The warning disappears when I change Optix Prime Acceleration to Enabled and reappears if I set it to disabled again.

    That's an interesting observation! It is like they have the logic backwards in the code.

  • DoctorJellybeanDoctorJellybean Posts: 5,689

    My initial thought that it might be video card related, appears to be incorrect. Optix Prime Acceleration is enabled on my system, hence my thought.

  • Notice that it's a warning, not an error - I suspect it's just saying that there's no point in passing that on/off parameter.

  • L'AdairL'Adair Posts: 9,470
    edited July 2019

    Back to the crash issue. I finally finished the image the power cord is used in. Last night, after completing the image in 4.11, I decided to render it from 4.12. I noticed a floating prop, so stopped the render and fixed it. I then saved the file, and all was well. (This is with the power cord in the scene.) But I decided I didn't like the wide angle of the camera, so I copied the camera I was using for a backup, and then made some changes to my scene camera. I then saved the scene again. But this time, it crashed.

    I pulled it back into 4.11 and found the changes made to the floating prop were there; it no longer floated. But of course, my camera changes were MIA. I made those changes again, in 4.11 and saved. I opened the file in 4.12 and set the image to render overnight. No problem.

    I tried saving the file, and it crashed again.

    I used 4.11 to save two copies of the file, one with the power cord and one without. I tested both of the copies in 4.12, attempting to save both. The file without the power cord saved, the one with the cord crashed. Those duf files are attached. (Warning, there are a lot of products in these file, including an OBJ you won't have.)

    ETA: The image is in my gallery here, for the curious…

    duf
    duf
    July 01 Apartment 02 - no power cord.duf
    5M
    duf
    duf
    July 01 Apartment 02 - with power cord.duf
    5M
    Post edited by L'Adair on
  • IvyIvy Posts: 6,896

    My initial thought that it might be video card related, appears to be incorrect. Optix Prime Acceleration is enabled on my system, hence my thought.

    I've always been interested what would be the benefit to having the Optix Prime Acceleration enabled?, I have tried renders with both options and i didn't notice any appreciative change in my renders. So I wondered what would be the benefit of it?

  • SzarkSzark Posts: 10,634

    I know it doesn't help the folks with issues but I am not having any issues with opening 4.11 scenes and saving them. Renders great with GTX1080ti, opens and saves big scenes very quickly. I have Optix enabled and I am running the lastest Studio Drivers 430.86.

     

    I do have one Q, what does this mean

    AxF importer

    • The implementation has been upgraded to AxF 1.6. This adds support for the new "volumetric" material class.
Sign In or Register to comment.